<?php
//
//
require_once($_SERVER['DOCUMENT_ROOT']."/jquery/inc/system.php"); 
//
//
if(!$user){
header('location:/login/');
exit();
}
//
//
$coll = num($_GET['coll']);
//
//
//
if($user['gold_check'] != 0){
DB::$dbs->query('UPDATE `users` SET `gold_check` = ? WHERE `id` = ? LIMIT 1', array(0,$user['id']));
header('location:?');
exit();    
}
//
//
//
head([]);
//
//
include_once __DIR__ . '/sett.php';
include_once __DIR__ . '/WapkassaClass.php';
//
//
?>
<div class="poster -gas">
		    <div class="start">
		        <center>
		            <span class="title-wqi">Покупка золота</span>
		        </center>
<?
//
//
if (!empty($_GET['gold']) && !empty($wk_cena_gold[$_GET['gold']])) {
    try {
//
//
        $wapkassa = new WapkassaClass(WK_ID, WK_SECRET);
//
//
        $wapkassa->setParams($wk_cena_gold[$_GET['gold']], 'Покупка рубинов ID ' . $user['id']);
//
//
        $wapkassa->setParamsAdd(array(
'user_id' => $user['id'],
            'type' => 'gold',
            'count' => num($_GET['gold']),
        ));
//
//
        $formValue = $wapkassa->getValue();
//
//
        echo '<form method="post" action="https://wapkassa.ru/merchant/payment2">';
//
//
        foreach ($formValue as $key => $value) {
            echo '<input type="hidden" name="' . $key . '" value="' . $value . '">';
        }
//
//
?>
<div class="menu-not">
Вы покупаете 
<img src = '/css/img/gold.png'>
<?=$coll;?> золота за <?=($coll*10/100);?> руб
<div class="stats2"></div>
<button class="button">
Перейти к покупке
</button>
</div>
</form>
</div>
</div>
<?
foot([]);

        exit;

    } catch (Exception $e) {
        // вывод ошибки
        echo $e->getMessage();
foot($uid);
        exit;
    }
}
$i=1;
foreach ($wk_cena_gold as $key => $value) {
?>
<div class='menu-not2'>
<img src = '/css/img/gold.png'>
Купить <?=$key;?> золота
<br>
<img src = '/css/img/diamond.png'> <?=($key*5/100);?> алмазов в подарок
<br>
<font color="#777777">
Стоимость <?=($key*10/100);?> рублей
</font>
</div>
<a href='/paywk/?gold=<?=$key;?>&coll=<?=$key;?>'><div class="click">
Купить</div>
</a>
<div class="stats2"></div>
<?
$i++;
}
//
//
?>
</div>
</div>
<?
//
//
foot([]);
//
//
?>
